/* Setup for desktop size - send to js for nav desktop/ switcher. */
#sasstojsvalues {
	width: var(--desktop);
	height: var(--tablet);
}


@keyframes heroBGAnimation {
    0% {
        opacity: .1;
        transform: scale(1.2)
    }

    to {
        opacity: 1;
        transform: scale(1)
    }
}

@keyframes arrow {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    transform: translate(-8px, -8px);
  }
}



.site-header {
	/* position: fixed; */
	position: relative;
	top: 0;
	padding: 0;
	/* padding: 10px 0; Just in case we need to add padding */
	width: 100%;
	background: var(--primary-color);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;

	&.int-header {
		padding: 0;

		.header-content {
			min-height: 300px;
			background-color: color-mix(
				in srgb, 
				oklch(from var(--primary-color) calc(l - 0.5) c h) 50%, 
				transparent
			);

			@media (width >= 768px) {
				min-height: 40vw;
				justify-content: flex-end;
			}

			/* Desktop Styles */
			@media (width >= 1024px) {
				min-height: 30vw;
			}

			@media (width >= 1500px) {
				min-height: 22vw;
			}
		}

		.site-logo {
			margin-bottom: 2em;
			@media (width >= 768px) {
				position: absolute;
				top: 15px;
				left: 10px;
			}
			@media (width >= 1024px) {
				top: 30px;
				left: 65px;
			}
			a {
				display: flex;

				svg, img {
					width: 150px;
					height: auto;
					@media (width >= 768px) {
						width: 224px;
					}
				}
			}
		}
	}

	&.front-header {
		/* background-image: url('/wp-content/themes/rm-basetheme/images/bg-footer.jpg'); */
		background-repeat: no-repeat;
		background-size: cover;
		background-position: center;
		display: flex;
		flex-direction: column;
		position: relative;
		overflow: hidden;
		margin-bottom: -1px;
		@media (width >= 1024px) {
			background-color: transparent;
		}
		&:before {
			content: "";
			position: absolute;
			left: 0;
			top: 0;
			width: 100%;
			height: 35%;
			background: linear-gradient(to top, rgb(from var(--dark-color) r g b / 0.0) 0%, rgb(from var(--dark-color) r g b / 0.90) 90%, rgb(from var(--dark-color) r g b / 1) 100%);
		}

		&:after {
			content: "";
			position: absolute;
			left: 0;
			bottom: 0;
			width: 100%;
			height: 46%;
			background: linear-gradient(to bottom, rgb(from var(--dark-color) r g b / 0.0) 0%, rgb(from var(--dark-color) r g b / 0.90) 90%, rgb(from var(--dark-color) r g b / 1) 100%);
		}

		.bgheader {
			position: absolute;
			/* top: 50%;
			left: 50%; */
			top: 152px;
			left: 0;
			width: 100%;
			min-width: 100%;
			display: block;
			margin: 0;
			padding: 0;
			-o-object-fit: cover;
			object-fit: cover;
			opacity: 1;
			animation: heroBGAnimation 1.8s cubic-bezier(.34, .615, .4, .985);
			transition-delay: .1s;
			@media (width >= 768px) {
				top: 0;
				height: 100%;
			}
			/* Desktop Styles */
			@media (width >= 1024px) {
				z-index: -1;
			}
			img {
				width: 100%;
				height: 100%;
				object-fit: cover;
				display:block;
				@media (width >= 768px) {
					object-position: top center;
					object-fit: contain;
				}
				@media (width >= 1024px) {
					object-position: center;
					object-fit: cover;
				}
			}
		}

		.bgvid {
			position: absolute;
			top: 50%;
			left: 50%;
			min-width: 100%;
			transform: translateX(-50%) translateY(-50%);
			display: block;
			margin: 0;
			padding: 0;
			-o-object-fit: cover;
			object-fit: cover;
			opacity: 1;

			/* Desktop Styles */
			@media (width >= 1024px) {
				height: 100%;
			}
		}

		.header-image {
			position: absolute;
			right: 0;
			bottom: 0;

			img {
				max-width: 100%;
				height: auto;
			}
		}

		.hdng {
			font-size: 34px;
			line-height: 1.06em;
			text-transform: uppercase;
			color: var(--light-color);
			margin-top: 0;
			margin-bottom: 0;
			@media (width >= 768px) {
				font-size: 50px;
				line-height: 1.1em;
			}
			@media (width >= 1024px) {
				opacity: 0;
				font-size: 58px;
			}
		}

		.tagline {
			font-size: 28px;
			font-weight: var(--fw-semi-bold);
			letter-spacing: 0.01em;
			margin-top: 0;
			margin-bottom: 0;
			width: 100%;
			@media (width >= 768px) {
				font-size: 40px;
			}
			@media (width >= 1024px) {
				opacity: 0;
			}
		}

		.header-content {
			min-height: 100vh;
			color: var(--light-color);
			padding-top: var(--nav-mobile);
			justify-content: center;
			padding-bottom: 20px;
			align-items: flex-start;
			z-index: 1;
			@media(width >= 768px) {
				padding-bottom: 100px;
			}
			/* Desktop Styles */
			@media (width >= 1024px) {
				width: 55%;
				background: linear-gradient(270deg, rgb(from var(--dark-color) r g b / 0.0) 0%, rgb(from var(--dark-color) r g b / 0.90) 90%, rgb(from var(--dark-color) r g b / 1) 100%);
			}

			@media (width >= 1600px) {
				height: 900px;
			}

			.header-content-wrapper {
				position: relative;
				display: flex;
				flex-direction: column;
				justify-content: center;
				align-items: center;
				/* padding: 0px 20px 0 47px; */
				flex-grow: 1;
				flex-basis: 0;
				padding-left: 22px;
				.content-wrap {
					position: relative;
					padding: 0px 25px;
					@media (width >= 768px) {
						padding: 0px 45px;
						max-width: 865px;
					}
					&:before {
						content: "";
						top: 0;
						left: -22px;
						width: 22px;
						height: 100%;
						position: absolute;
						background-image: url('../images/marble-left-border.jpg');
						background-position: center;
						background-size: cover;
					}
				}
			}
		}

		.site-logo {
			margin: 0 auto 2em;
			@media (width >= 768px) {
				transform: translateY(-65px);
				/* position: absolute;
				top: 15px;
				left: 5px;
				margin-bottom: 0; */
				margin: 0 0 2em;
			}

			@media (width >= 1060px) {
				transform: translate(65px, -40px);
				margin-bottom: 50px; 
			}
			svg, img {
				width: 197px;
				height: auto;
				aspect-ratio: 197 / 163;
				/* Tablet Styles */
				@media (width >= 768px) {
					width: 260px;
					aspect-ratio: 260 / 215;
				}

				/* Desktop Styles */
				@media (width >= 1600px) {
					width: 400px;
					aspect-ratio: 400 / 331;
				}
			}
		}

		.skip-arrow {
			display: flex;
			position: absolute;
			left: 50%;
			bottom: 0;
			transform: translateX(-50%);
			/* background-color: #ffffff; */
			padding: 13px 20px 0;
			/* border-radius: 100vmax 100vmax 0 0; */
			width: 69px;
			height: 34.5px;
			z-index: 10;
			/* svg {
				height: 40px;
				width: auto;
				transform: rotate(90deg);
			} */
			.arrow {
				width: 14px;
				height: 14px;
				top: 50%;
				margin: -2px 0 0 -7px;
				transform: rotate(45deg);
				border-left: none;
				border-top: none;
				border-right: 2px solid var(--light-color);
				border-bottom: 2px solid var(--light-color);
				position: absolute;
				left: 50%;
				&:before {
					content: "";
					width: 18px;
					height: 18px;
					top: 50%;
					margin: -17px 0 0 -17px;
					border-left: none;
					border-top: none;
					border-right: 2px solid var(--light-color);
					border-bottom: 2px solid var(--light-color);
					animation-duration: 2s;
					animation-iteration-count: infinite;
					animation-name: arrow;
					position: absolute;
					left: 50%;
				}
			}
		}
	}

	.header-content {
		position: relative;
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		padding-bottom: 30px;
		@media (width >= 768px) {
			padding-bottom: 45px;
		}
	}

	/* MODELS TAG / LOCATION */
	@media (width < 768px) {
		&[data-location="model-left"] {
			background-position: left center;
		}

		&[data-location="model-one-quarter"] {
			background-position: left 20% center;
		}

		&[data-location="model-center"] {
			background-position: center;
		}

		&[data-location="model-three-quarter"] {
			background-position: right 20% center;
		}

		&[data-location="model-right"] {
			background-position: right center;
		}
	}
}

.banner {
	display: none;
	background-color: var(--dark-alt);
	/* border-bottom: 11px solid var(--primary-color); */
	color: var(--light-color);
	align-items: center;
	justify-content: center;
	padding: 10px 20px 12px;
	position: relative;
	z-index: 99;

	/* Tablet Styles */
	@media (width >= 768px) {
		font-size: 16px;
	}

	/* Full Screen Styles */
	@media (width >= 1500px) {
		padding: 10px 40px 12px;
	}

	&.show-banner {
		display: block;

		/* Tablet Styles */
		@media (width >= 768px) {
			display: flex;
		}
	}

	&.banner-sticky {
		border-color: var(--light-color);
		position: sticky;
		top: 0;
		left: 0;

		&.change-state-banner {
			border-color: var(--primary-color);
			position: relative;
		}
	}

	/* &.banner-fixed {
		position: fixed;
		width: 100%;
	} */
	.banner-container {
		font-family: var(--primary-font);
		font-size: 14px;
		line-height: 1.25em;
		font-weight: var(--fw-regular);
		display: block;
		position: relative;
		text-align: center;

		/* Tablet Styles */
		@media (width >= 768px) {
			display: flex;
			align-items: center;
			justify-content: center;
		}

		.icon {
			display: none;

			/* Tablet Styles */
			@media (width >= 768px) {
				display: flex;
			}

			svg {
				width: auto;
				height: 20px;
				margin: 0 15px 0 0;
			}
		}

		.banner-text {
			font-weight: var(--fw-bold);

			span {
				font-weight: var(--fw-regular);

				&:before {
					content: '- ';
				}
			}
		}

		.banner-link.button {
			font-size: 14px;
			line-height: 1em;
			font-weight: var(--fw-semi-bold);
			padding: 5px 10px;
			margin: 10px 0 0;
			text-decoration: none;

			/* Tablet Styles */
			@media (width >= 768px) {
				font-size: 16px;
				margin: 0 0 0 15px;
			}
		}

		.close-banner {
			background: var(--primary-accent);
			border: none;
			border-radius: 50%;
			color: var(--light-color);
			display: flex;
			justify-content: center;
			align-items: center;
			font-size: 13px;
			line-height: 1em;
			font-weight: var(--fw-thin);
			width: 25px;
			height: 25px;
			padding: 0;
			position: absolute;
			right: -10px;
			bottom: -10px;
			transform: translateY(50%);
			z-index: 10;

			/* Tablet Styles */
			@media (width >= 768px) {
				right: -50px;
			}

			.close-container {
				position: relative;
				width: 60%;
				height: 60%;

				&:before,
				&:after {
					background-color: var(--light-color);
					content: '';
					position: absolute;
					top: 0;
					left: 50%;
					bottom: 0;
					right: 0;
					width: 1px;
				}

				&:before {
					transform: translateX(-50%) rotate(45deg);
				}

				&:after {
					transform: translateX(-50%) rotate(-45deg);
				}
			}
		}
	}
}

/* Navigation bar */

.nav-bar {
	width: 100%;
	padding: 0 20px;
	top: 0;
	left: 0;
	z-index: 100;
	/* background-color: var(--primary-color); */
	background-color: transparent;
	height: var(--nav-mobile);
	transition: height .3s, background-color .3s;
	/* Tablet Styles */
	@media (width >= 768px) {
		height: var(--nav-tablet);
		padding: 0 35px;
	}

	/* Desktop Styles */
	@media (width >= 1024px) {
		height: var(--nav-desktop);
		padding: 0 40px;
	}

	&.change-state {
		background-color: var(--primary-color);
		.logo-mark {
			/* opacity: 1; */
			display: flex;
			pointer-events: all;
			/* @media (width >= 768px) {
				height: 95%;
			} */
		}
	}

	&.nav-sticky {
		position: sticky;
		/* &.change-state {
			background-color: var(--light-color);
		} */
	}

	&.nav-relative {
		position: relative;

		&.transition-top {
			position: sticky;
			transition: background-color .3s, top .3s;
		}

		&.transition-top.change-state {
			top: 0 !important;
		}

		&.change-state {
			/* background-color: var(--light-color); */
			position: sticky;
		}
	}

	&.nav-absolute {
		position: absolute;

		&.transition-top {
			position: fixed;
			transition: background-color .3s, top .3s;
			/* .logo-mark, .site-logo {
				top: unset;
				left: 10px;
				transform: none;
				height: 75%;
				@media (width >= 768px) {
					left: 35px;
				}
				@media (width >= 768px) {
					left: 45px;
				}
			}
			.menu-trigger {
				  @media (width <= 767px) {
					padding-left: 80px;
				}
			} */
		}

		&.transition-top.change-state {
			top: 0 !important;
		}

		&.change-state {
			/* background-color: var(--light-color); */
			position: fixed;
		}
	}

	&.nav-fixed {
		position: fixed;
		/* &.change-state {
			background-color: var(--light-color);
		} */
	}
}

.nav-absolute,
.nav-fixed {
	&+.int-header .header-content {
		padding-top: var(--nav-mobile);

		/* Tablet Styles */
		@media (width >= 768px) {
			padding-top: var(--nav-tablet);
		}

		/* Desktop Styles */
		@media (width >= 1024px) {
			padding-top: var(--nav-desktop);
		}
	}
}

body {
	.banner.show-banner {
		display: block;

		/* Tablet Styles */
		@media (width >= 768px) {
			display: flex;
		}
	}
}

.menu-buttons {
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;

	a {
		color: var(--light-color);
		text-decoration: none;
	}

	.menu-button-wrap {
		display: flex;
		align-items: center;
		justify-content: flex-end;
	}

	span:not(.location-suite):not(.show-icon) {
		font-size: 18px;
		line-height: 1em;
		font-weight: var(--fw-light);
		font-family: var(--primary-font);
		display: block;
	}

	.menu-trigger {
		display: flex;
		align-items: center;
		justify-content: flex-end;
		flex-grow: 1;
		flex-basis: 0;
		/* justify-content: center; */
		/* border-right: 1px solid rgb(from var(--light-color) r g b / 0.2); */
		padding: 10px 15px 10px 0;
		/* @media (width >= 768px) {
			justify-content: flex-end;
		} */
		.menu-button-text {
			display: none;
			color: var(--light-color);
			font-size: 16px;
			font-weight: var(--fw-semi-bold);
			letter-spacing: 0.06em;
			text-transform: uppercase;
			margin-left: 13px;
			transition: all 0.3s;
			@media (width >= 1024px) {
				display: block;
			}
		}
		&:hover {
			.menu-button-text {
				color: var(--secondary-color);
			}
			.nav-hamburger {
				span {
					background: var(--secondary-color);
				}
			}
		}
	}

	.logo-mark {
		display: flex;
		align-items: center;
		height: 60%;
		margin-right: 20px;
		/* opacity: 0; */
		pointer-events: none;
		transition: opacity .3s;
		margin-left: -10px;
		/* flex-grow: 1;
		flex-basis: 0; */
		display: none;
		@media (width >= 768px) {
			margin-left: 0;
			height: 75%;
		}
		a,
		svg,
		img {
			width: auto;
			height: 100%;
		}

		svg, 
		img {
			aspect-ratio: 91 / 75;
		}
	}

	.menu-contact {
		display: flex;
		align-items: center;
		height: 100%;

		>* {
			margin-right: 15px;
			@media (width >= 768px) {
				margin-right: 20px;
			}
			&:last-of-type {
				margin-right: 0;
			}
		}
		.secondary-nav {
			.button {
				position: relative;
				border: none;
				padding: 5px 10px;
				margin-top: 0;
				border-right: 1px solid rgb(from var(--light-color) r g b / 0.2);
				border-left: 1px solid rgb(from var(--light-color) r g b / 0.2);
				display: flex;
				align-items: center;
				/* z-index: -1; */
				@media (width >= 768px) {
					/* max-width: 85px; */
				}
				@media (width >= 1024px) {
					padding: 10px 20px;
					max-width: 100%;
				}
				.icon {
					display: none;
				}
			}
		}
	}

	.menu-locations,
	.menu-phone {

		/* Site Locations - Dropdown Toggle and Nav-bar styles */
		.locations-dropdown-toggle {
			color: var(--primary-alt);
			transition: color .3s;
			display: flex;
			align-items: center;

			.show-icon {
				display: flex;
				padding-right: 0;
			}

			&:hover,
			&:active,
			&:focus {
				color: var(--light-color);

				svg path {
					fill: var(--light-color);
				}
			}

			svg path {
				fill: var(--primary-alt);
				transition: .3s fill;
			}
		}

		.header-address-site-locations {
			/* margin-right: 5px; */
		}
	}

	.menu-phone {
		a {
			display: flex;
			align-items: center;
		}
	}
}

/* Site Locations Content Styles */
.header-address-site-locations,
.header-phone-site-locations {
	color: var(--primary-alt);

	/* Dropdown Content Styles */
	&.dropdown-true {
		display: none;
		opacity: 0;
		transition: opacity .3s;
		z-index: 111;

		&.open {
			display: flex;
			flex-direction: column;
			align-items: center;
			justify-content: flex-start;
			position: fixed;
			top: 0;
			bottom: 0;
			left: 0;
			right: 0;
			width: 100%;
			height: 100vh;
			background-color: var(--light-alt);
			opacity: 1;
			overflow-x: scroll;
			padding-top: 20vh;
			text-align: center;

			/* Close button for dropdown */
			.location-close {
				background-color: var(--light-color);
				position: absolute;
				top: 20px;
				font-size: 16px;
				line-height: 1em;
				right: 20px;
				border-radius: 50%;
				width: 30px;
				height: 30px;
				display: flex;
				justify-content: center;
				align-items: center;
				display: flex;

				/* Tablet Styles */
				@media (width >= 768px) {
					top: 40px;
					right: 40px;
				}

				.lc-container {
					position: relative;
					width: 60%;
					height: 60%;

					&:before,
					&:after {
						background-color: var(--dark-alt);
						content: '';
						position: absolute;
						top: 0;
						left: 50%;
						bottom: 0;
						right: 0;
						width: 1px;
					}

					&:before {
						transform: translateX(-50%) rotate(45deg);
					}

					&:after {
						transform: translateX(-50%) rotate(-45deg);
					}
				}
			}

			/* End Close button for dropdown */
			.location-each {
				margin-bottom: 37.5px;

				&:last-of-type {
					margin-bottom: 0;
				}

				a {
					color: var(--light-color);

					.show-icon {
						svg {
							path {
								fill: var(--light-color);
							}
						}
					}

					&:hover,
					&:active,
					&:focus {
						color: var(--secondary-color);

						.show-icon {
							svg {
								path {
									fill: var(--secondary-color);
								}
							}
						}
					}
				}

				.show-icon {
					svg {
						width: 30px;
					}
				}

				&>.phone-text,
				&>.sms-text,
				&>.fax-text,
				&>.address-text,
				&>.phone-sms-container {
					margin-bottom: 18.75px;
				}

				&>.phone-text,
				&>.sms-text,
				&>.fax-text,
				&>.phone-sms-container {
					.show-icon {
						padding-right: 20.5px;
					}
				}

				&>.address-text {
					flex-direction: column;
					.location-address-block {
						flex-direction: column;

						.address-street:after {
							content: none;
						}
					}
				}
			}
		}
	}

	/* End Dropdown Content Styles */
	/* Location Content Styles (with and without dropdown) */
	.location-each {
		display: flex;
		flex-direction: column;

		/* &:last-of-type {
			display: none;
		} */
		a {
			color: var(--light-color);
			text-decoration: none;

			.show-icon {
				svg {
					path {
						fill: var(--light-color);
						transition: fill .3s;
					}
				}
			}

			&:hover,
			&:active,
			&:focus {
				color: var(--secondary-color);

				.show-icon {
					svg {
						path {
							fill: var(--secondary-color);
						}
					}
				}
			}
		}

		.show-icon {
			display: flex;
			padding-right: 15px;
			@media (width >= 1024px) {
				padding-right: 20px;
			}
			svg {
				/* width: 25px;
				height: auto; */
				width: auto;
				height: 31px;
			}
		}

		.location-name {
			font-size: 30px;
			padding-top: 0.25em;
			padding-bottom: 0.5em;

			/* Tablet Styles */
			@media (width >= 768px) {
				font-size: 40px;
			}
		}

		&>.phone-text,
		&>.sms-text,
		&>.fax-text,
		&>.address-text,
		&>.phone-sms-container {
			display: flex;
			align-items: center;
			justify-content: center;
			transition: .3s color;
		}

		&>.phone-sms-container {
			.sms-option:after {
				content: '\00a0';
			}
			.sms-text {
				order: -1;
			}
			.phone-text {
				font-size: 19px;
				letter-spacing: 0.06em;
				line-height: 1em;
				.show-icon {
					padding-right: 0;
					@media (width >= 768px) { 
						padding-right: 15px;
					}
					@media (width >= 1024px) { 
						padding-right: 20px;
					}
				}
			}
			.phone-text.us {
				display: none;
				@media (width >= 768px) {
					display: block;
					min-width: 150px;
				}
			}
			 .location-phone-block {
				&:before {
					content: "Call Or Text";
					font-size: 15px;
					letter-spacing: 0.06em;
					font-weight: var(--fw-regular);
					text-transform: uppercase;
				}
			 }
		}

		&>.address-text {
			.show-icon {
				padding-right: 0;
			}
			.location-address-block {
				display: flex;


				.address-street:after {
					content: ',\00a0';
				}
			}
		}
		&>.hours-text {
			.location-hours-block {
				display: flex;
				justify-content: center;

				.hours-day:after {
					content: '\00a0';
				}
			}
		}
	}

	/* End Location Content Styles */
}

/* Ipad Pro */

/* .is--device {
	.menu-buttons {
		@media (width >= 1024px) {
			display: block;
		}
	}
} */


/*-------------- Logo Area -------------*/